package com.comandante.creeper.merchant;

import com.comandante.creeper.Items.Loot;
import com.comandante.creeper.managers.GameManager;
import com.comandante.creeper.server.Color;

import java.util.Arrays;
import java.util.HashSet;
import java.util.Map;
import java.util.Set;

import static com.comandante.creeper.server.Color.BOLD_ON;

public class Wizard extends Merchant {
    private final static long phraseIntervalMs = 300000;
    private final static String NAME = "willy the wizard";
    private final static String welcomeMessage = "  ____                                        \n" +
            " 6MMMMb\\                                      \n" +
            "6M'    `   /                                  \n" +
            "MM        /M       _____     _____   __ ____  \n" +
            "YM.      /MMMMM   6MMMMMb   6MMMMMb  `M6MMMMb \n" +
            " YMMMMb   MM     6M'   `Mb 6M'   `Mb  MM'  `Mb\n" +
            "     `Mb  MM     MM     MM MM     MM  MM    MM\n" +
            "      MM  MM     MM     MM MM     MM  MM    MM\n" +
            "      MM  MM     MM     MM MM     MM  MM    MM\n" +
            "L    ,M9  YM.  , YM.   ,M9 YM.   ,M9  MM.  ,M9\n" +
            "MYMMMM9    YMMM9  YMMMMM9   YMMMMM9   MMYMMM9 \n" +
            "                                      MM      \n" +
            "                                      MM      \n" +
            "                                     _MM_     \n" +
            "\n";
    private final static Set<String> validTriggers = new HashSet<String>(Arrays.asList(new String[]
            {"wizard", "willy the wizard", "willy", NAME}
    ));

    private final static String colorName = BOLD_ON + Color.BLUE + NAME  + Color.RESET ;

    public Wizard(GameManager gameManager, Loot loot, Map<Integer, MerchantItemForSale> merchantItemForSales) {
        super(gameManager, NAME, colorName, validTriggers, merchantItemForSales, welcomeMessage);
    }
}
